import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { TitlebarModule } from '@widget/app/titlebar-titlebar/titlebar-titlebar.module';
import { DashboardModule } from '@widget/app/app-portal-view-db-dashboard/app-portal-view-db-dashboard.module';

import {AppPortalViewPage} from './app-portal-view.page';

@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: AppPortalViewPage}]),
  ],
  exports:[RouterModule]
  })
export class AppPortalViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    AppPortalViewRouteModule,
    TitlebarModule,DashboardModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [AppPortalViewPage],
  entryComponents:[AppPortalViewPage],
  exports:[AppPortalViewPage]
})
export class AppPortalViewModule {}
