import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/ycsq/mob-form20-form/mob-form20-form.module';
import { RighttoolbarModule } from '@widget/ycsq/usr2-mob-edit-viewrighttoolbar-toolbar/usr2-mob-edit-viewrighttoolbar-toolbar.module';
import {YCSQUsr2MobEditViewPage} from './ycsqusr2-mob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: YCSQUsr2MobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class YCSQUsr2MobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    YCSQUsr2MobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [YCSQUsr2MobEditViewPage],
  entryComponents:[YCSQUsr2MobEditViewPage],
  exports:[YCSQUsr2MobEditViewPage]
})
export class YCSQUsr2MobEditViewModule {}

