import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { DashboardModule } from '@widget/app/app-portal-view4-db-dashboard/app-portal-view4-db-dashboard.module';

import {AppPortalView4Page} from './app-portal-view4.page';

@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: AppPortalView4Page}]),
  ],
  exports:[RouterModule]
  })
export class AppPortalView4RouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    AppPortalView4RouteModule,
    DashboardModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [AppPortalView4Page],
  entryComponents:[AppPortalView4Page],
  exports:[AppPortalView4Page]
})
export class AppPortalView4Module {}
