import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/bgyp/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/bgyp/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {BGYPMobMDViewPage} from './bgypmob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: BGYPMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class BGYPMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    BGYPMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [BGYPMobMDViewPage],
  entryComponents:[BGYPMobMDViewPage],
  exports:[BGYPMobMDViewPage]
})
export class BGYPMobMDViewModule {}
