import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/ht/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/ht/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {HTMobEditViewModule} from '@pages/demo/htmob-edit-view/htmob-edit-view.module';
import {HTMobMDViewPage} from './htmob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: HTMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class HTMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    HTMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
    HTMobEditViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [HTMobMDViewPage],
  entryComponents:[HTMobMDViewPage],
  exports:[HTMobMDViewPage]
})
export class HTMobMDViewModule {}
