import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/kq/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/kq/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {KQMobMDViewPage} from './kqmob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: KQMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class KQMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    KQMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [KQMobMDViewPage],
  entryComponents:[KQMobMDViewPage],
  exports:[KQMobMDViewPage]
})
export class KQMobMDViewModule {}
