import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/qj/mob-form20-form/mob-form20-form.module';
import { RighttoolbarModule } from '@widget/qj/usr3-mob-edit-viewrighttoolbar-toolbar/usr3-mob-edit-viewrighttoolbar-toolbar.module';
import {QJMobWFStartViewModule} from '@pages/demo/qjmob-wfstart-view/qjmob-wfstart-view.module';
import {QJUsr3MobEditViewPage} from './qjusr3-mob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJUsr3MobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class QJUsr3MobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJUsr3MobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
    QJMobWFStartViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJUsr3MobEditViewPage],
  entryComponents:[QJUsr3MobEditViewPage],
  exports:[QJUsr3MobEditViewPage]
})
export class QJUsr3MobEditViewModule {}

